<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>拍卖-{#YXShopRivetTag*网站名称#}-{#YXShopRivetTag*网站标题#}</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta content="{#YXShopRivetTag*网站关键字#}" name="keywords" />
<meta content="{#YXShopRivetTag*网站描述#}" name="description" />
<link href="{#YXShopRivetTag*网站虚拟路径#}favicon.ico" rel="shortcut icon" />
<link href="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/css/yxshop_main.css" type="text/css" rel="stylesheet" />
<link href="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/css/yxshop_head.css" type="text/css" rel="stylesheet" />
<script src="{#YXShopRivetTag*网站虚拟路径#}scripts/prototype.js" type="text/javascript"></script>
<script language="javascript" type="text/javascript">
	//省份
	function Province(str)
	{
		ProvinceSendAjax("Province",str);
	}

	function ProvinceSendAjax(op,str)
	{
		var param = "Option="+ op +"&PrID="+ str;
		var options={
		method:'post',
		parameters:param,
		onComplete:
		function(transport)
		{
			var retv=transport.responseText;
			$("City").innerHTML=retv;
		}     

		}
		new  Ajax.Request('product_bid_info.aspx',options);
	}

	//城区
	function Citys(str)
	{
		CitysSendAjax("Citys",str);
	}

	function CitysSendAjax(op,str)
	{
		var param = "Option="+ op +"&PrID="+ str;
		var options={
		method:'post',
		parameters:param,
		onComplete:
		function(transport)
		{
			var retv=transport.responseText;
			document.getElementById("City2").innerHTML=retv;
		}     

		}
		new  Ajax.Request('product_bid_info.aspx',options);
	}
	
	function onAddress()
	{
		if($("txtAddress").value=="")
		{
		   $("spanAddress").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，请输入街道地址！";
		   $("spanAddress").style.color="#000000";
		   return false;
		}
		else
		{
			$("spanAddress").innerHTML="<img src=\'/images/check_right.gif\'/>";
			return true;
		}
	}
	function onName()
	{
		if($("txtName").value=="")
		{
		   $("spanName").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，请输入收货人姓名！";
		   $("spanName").style.color="#000000";
		   return false;
		}
		else
		{
			$("spanName").innerHTML="<img src=\'/images/check_right.gif\'/>";
			return true;
		}
	}
	function onTel()
	{
		if($("txtTel").value==""&&$("txtPhone").value=="")
		{
		   $("spanPhone").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，手机和电话请至少填写一个！";
		   $("spanPhone").style.color="#000000";
		   return false;
		}
		else
		{
			$("spanPhone").innerHTML="<img src=\'/images/check_right.gif\'/>";
			return true;
		}
	}
	function onZip()
	{
		if($("txtZip").value=="")
		{
		   $("spanZip").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，邮政编码！";
		   $("spanZip").style.color="#000000";
		   return false;
		}
		else if($("txtZip").value.length !=6)
		{
		   $("spanZip").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，邮政编码必须为6位！";
		   $("spanZip").style.color="#000000";
		   return false;
		}
		else
		{
			$("spanZip").innerHTML="<img src=\'/images/check_right.gif\'/>";
			return true;
		}
	}
	function onCount()
	{
		var reg=/^[0-9]+$/;
		if($("txtCount").value=="")
		{
			$("spanCount").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，购买数量不能为空！";
			$("spanCount").style.color="#000000";
			return false
		}
		else if(!reg.test($("txtCount").value))
		{
			$("spanCount").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，购买数量必须为数字！";
			$("spanCount").style.color="#000000";
			return false
		}
		else
		{
			$("spanCount").innerHTML="<img src=\'/images/check_right.gif\'/>";
			return true;
		}
	}
	function onPrice()
	{
		var re=/^[\d.]*$/
		if($("txtPrice").value=="")
		{
			$("spanPrice").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，出价金额不能为空！";
			$("spanPrice").style.color="#000000";
			return false
		}
		else if(!re.test($("txtPrice").value))
		{
			$("spanPrice").innerHTML="<img src=\'/images/check_error.gif\'/>&nbsp;此项为必填项，出价金额格式不正确！";
			$("spanPrice").style.color="#000000";
			return false
		}
		else
		{
			$("spanPrice").innerHTML="<img src=\'/images/check_right.gif\'/>";
			return true;
		}
	}
	function bidInfo()
	{
		if(!$("cbAgreement").checked)
		{
			alert("不能进行出价！");
			return false;
		}
		if(!onAddress()) return false;
		if(!onName()) return false;
		if(!onTel()) return false;
		if(!onZip()) return false;
		if(!onCount()) return false;
		if(!onPrice()) return false;
		return true; 
	}
	</script>
</head>
<body>
{#YXShopDefinTag*网站头部#}

<form action="{#YXShopRivetTag*网站虚拟路径#}filehandle/product_auction_bidform.ashx" method="post" onsubmit="return bidInfo()">
<table width="970" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td height="30">
		   <strong>&nbsp;&nbsp;&nbsp; 确认收货地址</strong>		</td>
	</tr>
	 <tr>
		<td><table width="100%" border="0px" cellpadding="0" cellspacing="0">
          <tr>
            <td width="18%" height="30" align="center"><span style="color:Red">*</span>所在地区：
              <input id="hfProductID" name="hfProductID" type="hidden" value="[#ProductID]" /></td>
            <td width="41%">省：[#Provinces]市：<span id="City">[#City]</span>区：<span id="City2">[#Borough]</span></td>
            <td width="41%"></td>
          </tr>
          <tr>
            <td height="30" align="center"><span style="color:Red">*</span>街道地址：</td>
            <td><input id="txtAddress" name="txtAddress" type="text" value="[#Address]" onblur="onAddress()"/></td>
            <td><span id="spanAddress"></span></td>
          </tr>
          <tr>
            <td height="30" align="center"><span style="color:Red">*</span>收货人姓名：</td>
            <td><input id="txtName" name="txtName" type="text" value="[#Name]" onblur="onName()" /></td>
            <td><span id="spanName"></span></td>
          </tr>
          <tr>
            <td height="30" align="center">联系电话：</td>
            <td><input id="txtTel" name="txtTel" type="text" value="[#Tel]" onblur="onTel()" /></td>
            <td><span id="spanTel"></span></td>
          </tr>
          <tr>
            <td height="30" align="center">联系手机：</td>
            <td><input id="txtPhone" name="txtPhone" type="text" value="[#Phone]" onblur="onTel()" /></td>
            <td><span id="spanPhone">手机和电话请至少填写一个.</span></td>
          </tr>
          <tr>
            <td height="30" align="center"><span style="color:Red">*</span>邮政编码：</td>
            <td><input id="txtZip" name="txtZip" type="text" value="[#Zip]" style="width:60px" onblur="onZip()" /></td>
            <td><span id="spanZip"></span></td>
          </tr>
        </table></td>
	</tr>
	<tr>
		<td height="30"><strong>&nbsp;&nbsp;&nbsp; 确认购买信息</strong></td>
	</tr>
	<tr>
		<td>
			<table width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="18%" height="30" align="center"><span style="color:Red">*</span>购买数量：</td>
				  <td width="15%"><input id="txtCount" name="txtCount" type="text" style="width:50px" onblur="onCount()"/></td>
					<td width="67%"><span id="spanCount"></span></td>
				</tr>
				<tr>
					<td height="30" align="center">
						<span style="color:Red">*</span>出价金额：					</td>
					<td><input id="txtPrice" name="txtPrice" type="text" style="width:50px" onblur="onPrice()"/></td>
					<td><span id="spanPrice"></span></td>
				</tr>
				<tr>
					<td height="30" align="center">拍卖保证金：</td>
					<td>[#Deposit]元</td>
					<td><span style="color:Red">预付保证金是为了维护良好的拍卖环境，如果成交不买，保证金将被自动罚没，不予退还！</span></td>
				</tr>
		  </table>
		</td>
	</tr>
	<tr>
		<td height="30"><strong>&nbsp;&nbsp;&nbsp; 确认提交订单</strong></td>
	</tr>
	<tr>
		<td>
			<table width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td colspan="3"> &nbsp;
					  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input id="cbAnony" type="checkbox" />匿名购买</td>
				</tr>
				<tr>
					<td width="18%" align="center"><span style="color:Red">*</span>校验码：</td>
					<td width="41%"><span><input type="text" name="txtCode" id="txtCode" style=" width:50px; "/>&nbsp;&nbsp;<img alt="点击刷新验证码" onclick="this.src='{#YXShopRivetTag*网站虚拟路径#}admin/plugin/check_code.aspx?rdm='+Math.random();" src="{#YXShopRivetTag*网站虚拟路径#}admin/plugin/check_code.aspx" class="pointer"/>
</span></td>
				    <td width="41%">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="3"> &nbsp;
					  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input id="cbAgreement" checked="checked" type="checkbox" />同意<a href="{#YXShopRivetTag*网站虚拟路径#}product/product_auction_agreement.aspx">竞拍服务协议</a> (您同意此协议才能继续购买) </td>
				</tr>
				<tr>
					<td colspan="3" align="center"><input id = "performSubmit" type="image" name="Submit" src="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/images/sure.gif" hidefocus="true" /></td>
				</tr>
		  </table>
		</td>
	</tr>
</table>
</form>
        
         <br />
                                                       <div id="copyright">
    <ul>
        {#YXShopDefinTag*易想资讯#}
    </ul>
</div> 
                                                        {#YXShopRivetTag*网站底部#}
</body>
</html>